> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/keeperpam/jp/commander-cli/command-reference/reporting-commands/resolving-record-titles.md).

# レコードタイトルの解決

***

## 監査レポートでのレコードタイトルの表示 <a href="#showing-record-titles-in-audit-reports" id="showing-record-titles-in-audit-reports"></a>

監査イベントデータでは、各レコードは既定でタイトルではなく**レコードUID**で識別されます。これはKeeperのゼロ知識アーキテクチャの特性によるものです。レコードタイトルは権限を持つユーザーのみが保持する鍵で暗号化されているため、イベントデータを生成するバックエンドでは、タイトルを復号して表示できません。UIDは、サーバーが返せる唯一の安定したレコード識別子です。

Keeperコマンダーは、復号鍵が利用可能なローカル環境で、これらのUIDを判読可能なタイトルに解決できます。本ページでは、復号されたレコードタイトルを含むアクセスレポートの生成方法を取り扱います。

監査レポートの実行には、高度なレポートおよびアラートモジュール (ARAM) アドオンが必要です。レポートを実行する管理者が所有していないレコードのタイトルを解決するには、さらにコンプライアンスレポートアドオンが必要です (詳しくは以下の[タイトル解決](#title-resolution)をご参照ください)。

### コマンド <a href="#command" id="command"></a>

```
My Vault> audit-report --report-type raw --event-type open_record --report-format fields --max-record-details --format csv --output access.csv
```

これにより、各 `open_record` イベントに `record_uid`、復号化された `record_title`、および `record_url` が含まれるCSVが生成されます。

### パラメータ <a href="#parameters" id="parameters"></a>

| パラメータ                      | 説明                                                                                                                       |
| -------------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| `--report-type raw`        | 集計件数ではなく個別イベントを返す                                                                                                        |
| `--event-type open_record` | レコードアクセスイベントに絞り込む。コンソールのメッセージテキストではなく、イベント**コード**を指定する (詳しくは[イベントタイプの指定](#selecting-the-event-type)をご参照ください)             |
| `--report-format fields`   | 各イベントを属性ごとに1列に分割する。タイトルを表示するには必須 (詳しくは[raw レポートで --columns が機能しない理由](#why-columns-does-not-work-on-raw-reports)をご参照ください) |
| `--max-record-details`     | ローカルキャッシュに存在しないレコードについても、追加のレコード詳細データ (タイトル、URL) の取得を可能にする                                                               |
| `--format csv`             | 出力形式 (`table`、`csv`、`json`、`pdf` など)                                                                                     |
| `--output access.csv`      | レポートを指定したファイルに書き出す                                                                                                       |

### `raw` レポートで `--columns` が機能しない理由 <a href="#why-columns-does-not-work-on-raw-reports" id="why-columns-does-not-work-on-raw-reports"></a>

`raw` レポートでは、`--columns` オプションは**無視**されます。`record_title` を `--columns` に追加して `raw` レポートを実行しても、返されるのはUIDのみです。

`raw` レポートの列レイアウトは `--report-format` で制御します。

* `message` (フラグ省略時のデフォルト): レンダリングされた1文の列に加え、基本セット `created, audit_event_type, username, ip_address, keeper_version, geo_location`
* `fields`: 属性ごとに1列。`record_uid` フィールドは自動的に `record_title` および `record_url` も含むように展開される

`--columns` オプションは、要約レポートタイプ (`dim`、`hour`、`day`、`week`、`month`、`span`) にのみ適用されます。

### イベントタイプの指定 <a href="#selecting-the-event-type" id="selecting-the-event-type"></a>

`--event-type` には、アクティビティログのメッセージではなく、イベント**コード**を指定します。コンソール文字列 "revealed password on record UID ..." は表示テンプレートです。`reveal_password` コードは存在せず、これを指定すると `bad_inputs_audit_event_type` が返されます。

アカウントで有効なイベントタイプコードの一覧を表示するには、`dim` レポートを実行します。

```
My Vault> audit-report --report-type dim --columns audit_event_type
```

認証情報へのアクセス状況を把握するうえで、特に関連するレコードアクセスコード

* **`open_record` (Opened Record):** ユーザーがレコードの詳細ビューを開いた
* **`copy_password` (Copied Password to Clipboard):** 認証情報がボルト外にコピーされた

Keeperはパスワードフィールドのマスク解除に対する個別のイベントを発行しないため、`open_record` が適切なアクセス指標です。

### タイトル解決 <a href="#title-resolution" id="title-resolution"></a>

タイトル解決は2段階で動作します。

1. **レポートを実行する管理者が所有している、または共有されているレコード**は、ローカルボルトキャッシュから自動的に解決されます。
2. **管理者が保持していないレコード** (例: 他のユーザーのレコード) は、コンプライアンスレポートのデータから解決されます。この経路は、`--max-record-details` が指定されていて**かつ**コンプライアンスレポートアドオンが有効な場合にのみ使用されます。

{% hint style="info" %}
レポートは成功したものの、他のユーザーのレコードについて `record_title` 列が空白の場合は、`--max-record-details` が省略されたか、アカウントでコンプライアンスレポートが有効になっていない可能性があります。
{% endhint %}

### 例 <a href="#examples" id="examples"></a>

過去30日間のすべての `open_record` イベントを復号化されたタイトル付きで表示し、CSVとして保存します。

```
My Vault> audit-report --report-type raw --event-type open_record --report-format fields --max-record-details --created last_30_days --format csv --output access.csv
```

特定のユーザーがアクセスしたすべてのレコードを、タイトルとURL付きで表示します。ローカルに保持されていないレコードの詳細データの取得を強制します。

```
My Vault> audit-report --report-type raw --event-type open_record --report-format fields --max-record-details --username jvangrieken@pid-benelux.com --format table
```

行数上限なしですべての一致行を返します。

```
My Vault> audit-report --report-type raw --event-type open_record --report-format fields --max-record-details --limit -1 --format csv --output access.csv
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.keeper.io/keeperpam/jp/commander-cli/command-reference/reporting-commands/resolving-record-titles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
